de.caff.generics.function

## Interface IntPredicate2

- All Superinterfaces:
    java.util.function.BiPredicate<java.lang.Integer,java.lang.Integer>, java.util.function.Predicate<ITuple2<? extends java.lang.Integer,? extends java.lang.Integer>>, Predicate1<ITuple2<? extends java.lang.Integer,? extends java.lang.Integer>>, Predicate2<java.lang.Integer,java.lang.Integer>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntPredicate2
      extends Predicate2<java.lang.Integer,java.lang.Integer>

  Predicate which expects two primitive integer arguments.
  Since:
    October 05, 2020
  Author:
    Rammi

- - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.function.Predicate1

      `ALWAYS_FALSE, ALWAYS_TRUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `test(java.lang.Integer value1, java.lang.Integer value2)` Default implementation.
    `default boolean` | `test(IntPair pair)` Test an int pair by expanding its elements.
    `boolean` | `testInts(int value1, int value2)` Test the given values.

    - ### Methods inherited from interface de.caff.generics.function.Predicate2

      `after1, after2, after3, after5, after6, after7, after8, after9, alwaysFalse, alwaysTrue, and, and, apply, areIdentical, from, isEqual, negate, or, or, partial1, partial2, partialLeft, partialRight, reverseOrder, test, xor, xor`

    - ### Methods inherited from interface de.caff.generics.function.Predicate1

      `adapted, and_, and, and, from, isEqual, isNull, notNull, or_, or, or, testNonNull, xor_, xor, xor`

- - ### Method Detail

    - #### testInts

          boolean testInts(int value1,
                           int value2)

      Test the given values.
      Parameters:
        `value1` - first value to test
        `value2` - second value to test
      Returns:
        `true` if the values match the predicate, `false` otherwise

    - #### test

          default boolean test(java.lang.Integer value1,
                               java.lang.Integer value2)

      Default implementation. This forward toe `testInts(int, int)`
      Specified by:
        `test` in interface `java.util.function.BiPredicate<java.lang.Integer,java.lang.Integer>`
      Parameters:
        `value1` - first value
        `value2` - second value
      Returns:
        `true` if the values match the predicate, `false` otherwise
      Throws:
        `java.lang.NullPointerException` - if either value is `null`

    - #### test

          default boolean test(@NotNull
                               IntPair pair)

      Test an int pair by expanding its elements.
      Parameters:
        `pair` - pair to test
      Returns:
        result of the test
      Throws:
        `java.lang.NullPointerException` - if pair is `null`